## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTNodeConverter.Converter

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.ast.ASTNodeConverter.Converter

Direct Known Subclasses:
  ASTNodeConverter.EnumToTypeConverter, ASTNodeConverter.TypeToEnumConverter

Enclosing class:
  ASTNodeConverter

    protected abstract class ASTNodeConverter.Converter

extends java.lang.Object

Base class for all converters.

See Also:
  `convert()`

Constructor Summary
`protected` `ASTNodeConverter.Converter()`

Method Summary
`abstract JNode` `convert()`
`protected void` `moveChildren(JNode source, JNode target)` Removes children from the source node and adds them to the target node.
`protected void` `replaceNode(JNode existingNode, JNode newNode)` Replaces existing node by new node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTNodeConverter.Converter

    protected ASTNodeConverter.Converter()

Method Detail

### convert

    public abstract JNode convert()

  Returns:
    converted node

### moveChildren

    protected void moveChildren(JNode source,
                                JNode target)

  Removes children from the source node and adds them to the target node.

  Parameters:
    `source` -
    `target` -

### replaceNode

    protected void replaceNode(JNode existingNode,
                               JNode newNode)

  Replaces existing node by new node.

  Parameters:
    `existingNode` -
    `newNode` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.